Subject: Re: kernel ported from ELDK 3.0 hangs (loops in idled()) on my custom MPC870 Board

From: Edward Hong <[email-masked]>
Date: Fri, 10 Jun 2005 15:43:56 -0600

It looks like the BDI2000 debugger caused the problem. The kernel
boots fine after removing the debugger.

Thank you very much for all your replies!

Edward

On 6/6/05, Edward Hong <[email-masked]> wrote:
> On 6/6/05, Randy Vinson <[email-masked]> wrote:
> >
> > Hi Edward,
> >   I've seen these symptoms before. The problem was traced to external
> > interrupts being disabled (MSR[EE] not set). Without external
> > interrupts, there is no decrementer interrupt (at least on 7xx
> > processors). Without the decrementer, there in no system clock tick and
> > without the clock tick, the scheduler won't run which means that the
> > init task won't start. To verify that this is the problem, use mfmsr()
> > to get the MSR and print it. I'd suggest that you add something like:
> >
> >     printk("MSR =3D %x\n", mfmsr());
> >
> I got  MSR =3D 9032 just before cpu_idle which means EE (the most
> significant bit) was enabled.
>=20
> Thank you!
>=20
> Edward
>